<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:of="scpf.org:office"
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sc sp xalan of">
	<xsl:output encoding="UTF-8" method="xml"/>
	
	<xsl:param name="pCurrentItem"/>
	<xsl:param name="pCurrentItemUri"/>
	
	<!-- "plus" items converted to "normal" items -->
	<xsl:template match="of:sectionPlus">
		<of:section>
			<xsl:apply-templates select="@*|node()"/>
		</of:section>
	</xsl:template>
	<xsl:template match="of:paperPlus">
		<of:paper>
			<xsl:apply-templates select="@*|node()"/>
		</of:paper>
	</xsl:template>
	<xsl:template match="of:pagePlus">
		<of:page>
			<xsl:apply-templates select="@*|node()"/>
		</of:page>
	</xsl:template>
	<xsl:template match="of:webSitePlus">
		<of:webSite>
			<xsl:apply-templates select="@*|node()"/>
		</of:webSite>
	</xsl:template>
	<xsl:template match="of:webLog">
		<of:webSite>
			<xsl:apply-templates select="@*|node()"/>
		</of:webSite>
	</xsl:template>

	<xsl:template match="of:sectionPlusM">
		<of:sectionM>
			<xsl:apply-templates select="@*|node()"/>
		</of:sectionM>
	</xsl:template>
	<xsl:template match="of:paperPlusM">
		<of:paperM>
			<xsl:apply-templates select="@*|node()"/>
		</of:paperM>
	</xsl:template>
	<xsl:template match="of:pagePlusM">
		<of:pageM>
			<xsl:apply-templates select="@*|node()"/>
		</of:pageM>
	</xsl:template>
	<xsl:template match="of:webSitePlusM">
		<of:webSiteM>
			<xsl:apply-templates select="@*|node()"/>
		</of:webSiteM>
	</xsl:template>
	<xsl:template match="of:webLogM">
		<of:webSiteM>
			<xsl:apply-templates select="@*|node()"/>
		</of:webSiteM>
	</xsl:template>

	<!-- blog presentation now oblig. -->
	<xsl:template match="of:blog[not(sp:presentation)]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:apply-templates select="of:blogM"/>
			<sp:presentation>
				<of:section>
					<of:sectionM>
						<sp:title><xsl:value-of select="of:blogM/sp:title/text()"/></sp:title>
					</of:sectionM>
				</of:section>
			</sp:presentation>
			<xsl:apply-templates select="*[local-name(.)!='blogM']"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
		
</xsl:stylesheet>
